2010-06-02 Atsushi Enomoto  <atsushi@ximian.com>

	 * XmlBinaryDictionaryReader.cs : reset name in Reset().
	   Fixed bug #599479.

2010-02-10  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlDictionaryWriter.cs : try to lookup dictionary string in
	  WriteNode(). This is part of #577139 fix (probably).

2010-02-10  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryWriter.cs : for text '0' and '1', write 0x80 and
	  0x82 instead of 0x99 [0x30|0x31]. This cosmetic fix gives identical
	  writer output for #577139 (and yet it still doesn't work).

2009-12-22  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryReader.cs : slightly more descriptive errmsg.

2009-12-01  Sebastien Pouliot  <sebastien@ximian.com>

	* XmlDictionaryReader.cs: Fix ReadValueAsBase64 return value and
	remove NET_2_1 (gui-compare shows this in our 3.0 SP1 profile)

2009-09-21  Sebastien Pouliot  <sebastien@ximian.com>

	* XmlDictionaryWriter.cs: Remove usage of XmlMtomDictionaryWriter
	for NET_2_1

2009-07-22  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlDictionaryReader.cs : ReadValueAsBase64(byte[],int,int) is only
	  in SL2.

2009-07-14  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryReader.cs : read false (0x84) and true (0x86).

2009-07-07  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlSimpleDictionaryWriter.cs : fix bogus import of
	  XmlWriter.WriteNode() to handle more than two elements.

2009-06-05  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryReader.cs : fix GetAttribute() that returns
	  attributes from cache that are *not* in current element.

2009-06-05  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryReader.cs : there was wrong reusage of nodes
	  when the node was at the top of the stack. It was added twice and
	  call to reset resulted in end element with empty names.

2009-05-29  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryWriter.cs : allow mapping an identical prefix
	  to different xmlns in different element level.

2009-05-29  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryWriter.cs : allow writing xml/xmlns attributes
	  without specifying their corresponding namespaces.

2009-05-23  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryReader.cs : fix regression on stream consumption
	  excess.

2009-05-22  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryReader.cs : ReadContentString() returned
	  doubled string result.

2009-05-19  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryReader.cs : fix utf16 array on getting its
	  length. Report correct length (since BinaryReader is directly used
	  it makes no sense to incompletely keep track of position in Source).

2009-05-19  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryReader.cs : support reader quotas.

2009-05-07  Sebastien Pouliot  <sebastien@ximian.com>

	* UniqueId.cs: Fix attributes for v3.5 (and later 2.0 SP) and remove
	them (in particular [SecurityTreatAsSafe]) from the NET_2_1 build.

2009-04-27  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryReader.cs : several fixes;
	  - Name property was always empty.
	  - Value property was always empty for attributes.
	  - TextIndex node type was not supported.
	  - node reset at Read() was incomplete.
	  - attribute Prefix for single character had wrong value.
	  - namespace nodes did not appear as attribute nodes.
	  - attribute value node must be always single. Another text node
	    means a text child of the element, not the following attr value.
	  tests will go in sys.servicemodel.

2009-04-15  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlMtomDictionaryReader.cs : new.
	* XmlDictionaryReader.cs : implemented CreateMtomReader().

2009-04-02  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlMtomDictionaryWriter.cs : new.
	* XmlDictionaryWriter.cs : implement CreateMtomWriter().

2009-04-01  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlDictionaryReader.cs : add ReadStartElement() overload.

2009-04-01  Atsushi Enomoto  <atsushi@ximian.com>

	* UniqueId.cs : add missing security attributes.
	* XmlDictionaryReader.cs : cleanup extra TODOs.
	* XmlBinaryDictionaryReader.cs : iplement IsArray.

2009-03-31  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryReader.cs, XmlDictionaryWriter.cs :
	  a couple of fixes to reflect correct values for node properties
	  on each read step.

2009-03-31  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryReader.cs, XmlBinaryFormat.cs :
	  support array operation (0x03) on reader too.

2009-03-31  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryReader.cs : removed lots of unused part.

2009-03-31  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryWriterAutoGen.cs : generated code.
	* XmlBinaryFormat.cs, XmlBinaryDictionaryWriter.cs :
	  support array operation (0x03) and a bunch of WriteArray() methods.

2009-03-31  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryReader.cs, XmlBinaryDictionaryWriter.cs
	  XmlBinaryFormat.cs : implemented element with short prefix.

2009-03-27  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryFormat.cs, XmlBinaryDictionaryWriter.cs :
	  resolved all namespace and QName issues.

2009-03-27  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryWriter.cs : further namespace refactory.
	  namespaces are managed by its own (to work fine for both string
	  and dictionary string).

2009-03-27  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryFormat.cs, XmlBinaryDictionaryReader.cs,
	  XmlBinaryDictionaryWriter.cs : improved shorthanded prefix
	  support. Not only autocreated prefixes but also explicitly-
	  specified 'a' .. 'z' prefixes are mapped as shorthand.
	  Some significant (and ongoing) namespace support changes.

2009-03-26  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryFormat.cs, XmlBinaryDictionaryWriter.cs :
	  added some incomplete code for QName support.

2009-03-26  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryReader.cs, XmlBinaryFormat.cs :
	  handle utf16 typed nodes. (not sure if it is used in writer.)

2009-03-26  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryWriter.cs : oops, fix build.

2009-03-26  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryWriter.cs, XmlBinaryDictionaryReader.cs,
	  XmlBinaryFormat.cs, : reverted Uuid change (UniqueId is different).
	  Updated TODO status. Removed extra BinaryReader type.

2009-03-26  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryReader.cs, XmlBinaryDictionaryWriter.cs,
	  XmlBinaryFormat.cs : fixed couple of issues regarding text and
	  base64 fixed-length buffers (their sizes are not variant).
	  Some ongoing changes on reading dummy-prefixed attributes.

2009-03-25  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryReader.cs, XmlBinaryFormat.cs,
	  XmlBinaryDictionaryWriter.cs : couple of enhancements to support
	  missing types, Dictionary string lookups and indexing fixes.
	  Also reflect some correction by [MC-NBFX] (MS OSPed document).
	* XmlBinaryReaderSession.cs : implemented.

2009-03-18  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlDictionaryReader.cs : more not-understandable bits.

2009-03-18  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlDictionaryReader.cs : implemented ReadFullStartElement (full??).

2009-03-18  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlDictionaryReader.cs : implemented missing && understandable
	  members.

2009-03-02  Chris Toshok  <toshok@ximian.com>

	* XmlBinaryDictionaryReader.cs, XmlSimpleDictionaryReader.cs: 2.1
	has HasValue.

2009-02-13  Jonathan Pryor  <jpryor@novell.com>

	* UniqueId.cs: Remove most [MonoTODO]s and NotImplementedExceptions.
	  Revert the 2009-02-12 UniqueId.IsGuid "fix", as .NET says that 
	  new UniqueId(new Guid()).IsGuid==false (which makes no sense, as
	  .ToString() on the same instance includes the "urn:uuid:" prefix,
	  which is used by Guids...).

2009-02-13  Jonathan Pryor  <jpryor@novell.com>

	* XmlDictionaryWriter.cs: Implement WriteValue(IStreamProvider).

2009-02-13  Jonathan Pryor  <jpryor@novell.com>

	* XmlDictionaryWriter.cs: Implement
	  WriteTextNode(XmlDictionaryReader,bool).  This requires changes to
	  WriteNode(), as testing had determined that WriteTextNode() is used
	  instead of WriteString() for Text nodes and attribute values when
	  called via WriteNode().

2009-02-12  Jonathan Pryor  <jpryor@novell.com>

	* XmlDictionaryWriter.cs: Implement WriteValue(Guid),
	  WriteValue(TimeSpan), WriteValue(UniqueId).
	* UniqueId.cs: Fix UniqueId.IsGuid, as `new UniqueId(new Guid())` was
	  previously being detected as a string value, not a Guid value.

2009-02-12  Jonathan Pryor  <jpryor@novell.com>

	* XmlDictionaryWriter.cs (WriteStartElement): Add parameter checking
	  and default arguments to avoid NullReferenceExceptions.

2009-02-11  Jonathan Pryor  <jpryor@novell.com>

	* XmlDictionaryString.cs: Add constructor argument checking.

2009-02-10  Jonathan Pryor  <jpryor@novell.com>

	* IFragmentCapableXmlDictionaryWriter.cs: Added.

2008-09-09  Atsushi Enomoto  <atsushi@ximian.com>
			Jb Evain  <jbevain@novell.com>

	* XmlBinaryDictionaryReader.cs, XmlSimpleDictionaryReader.cs:
	add support to build on the net_2_1 profile.

2008-04-10  Eyal Alaluf <eyala@mainsoft.com>

	* XmlBinaryDictionaryWriter.cs: WriteXmlnsAttribute generates a prefix
	  when given a null prefix.

2008-03-22  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryReader.cs :
	  - It didn't clean namespaces up during Read().
	  - Non-typed attribute nodes should be allowed in get_Value().
	  - Fixed wrong namespace scope push.

2008-02-27 Eyal Alaluf <eyala@mainsoft.com>

	* XmlBinaryDictionaryReader.cs: Handle compilation warnings.
	* XmlSimpleDictionaryReader.cs: Added onClose handling.
	* XmlDictionaryReader.cs: Simple implementation of CreateTextReader.

2008-02-08  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlDictionaryWriter.cs : Even with UTF8 (marked) .net does not
	  output BOMs, so use always unmarked utf8 for any UTF8 encodings.

2008-02-08  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlDictionaryWriter.cs : Since it does not support XML declaration
	  its encoding is limited to utf16 and utf8. Null argument check.

2007-11-27  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlDictionaryWriter.cs : WriteNode() is override, not new.

2007-07-27  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlDictionaryWriter.cs : store Depth for dummy prefix output.
	  WriteXmlnsAttribute() writes dummy prefix when null prefix is given.
	* XmlSimpleDictionaryWriter.cs, XmlBinaryDictionaryWriter.cs :
	  increment Depth on WriteStartElement() and decrement it on
	  WriteEndElement(). They don't have to be complete, just fine as
	  long as it correctly creates a dummy.

2007-04-02  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryFormat.cs : added Base64Fixed (0xA0).
	* XmlBinaryDictionaryReader.cs : support 0xA0 type above.
	  ReadInt() refactoring. Handle float and double value types.

2007-03-30  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryReader.cs :
	  implemented some ReadContentAs[Type]() methods.
	* XmlDictionaryReader.cs :
	  Added Read[[Element]ContentAs]String() implementations.
	* XmlDictionaryReaderAutoGen.cs : regenerated

2007-03-20  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlDictionaryReader.cs : simply return false for
	  TryGet[Base64|Array]Length().
	* XmlBinaryDictionaryReader.cs : Value string should be pupulated
	  for typed value nodes.

2007-03-19  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlDictionaryReader.cs : more ongoing updates (valuetype support,
	  key support updates, ReadElementContentAsBase64).

2007-03-19  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryFormat.cs, XmlBinaryDictionaryWriter.cs :
	  support following operators; 0x80 (integer 0), 0x82 (integer 1) and
	  0xAE (UniqueId which is created from Guid).
	  Little fix for length output.

2007-03-16  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlDictionaryReader.cs : fix infinite loop.

2007-03-16  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlDictionaryReader.cs : added couple of missing methods.

2007-03-16  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlDictionaryReaderAutoGen.cs : regenerated.

2007-03-16  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryReader.cs : ongoing updates to the 3.0 RTM
	  format.

2007-03-16  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryWriter.cs : for XmlWriterBinarySession lookup,
	  internal dictionary lookup should be string-based, since otherwise
	  it will never return correct dictionary string stored when the
	  dictionary string is from another dictionary.
	* XmlBinaryWriterSession.cs :
	  TryLookup() is now based on string value comparison.
	  Reverted internal dictionary to int->XmlDictionaryString form,
	  as I don't use TryGetValue() anymore.

2007-03-16  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryWriter.cs : WriteValue(Decimal) is working now.

2007-03-15  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryFormat.cs : new file, collection of constants.
	* XmlBinaryDictionaryWriter.cs :
	  Stream->BinaryWriter. Support for WriteValue() for almost all
	  types.

2007-03-15  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlDictionaryWriter.cs : removed couple of MonoTODOs.

2007-03-15  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryWriter.cs : more couple of fixes (typed value
	  support and fixes, more element/attribute namespace fixes etc.).

2007-03-15  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryWriter.cs : fixed Base64 operation byte.
	  For comment node there is no corresponding combined EndElement
	  operation, so don't try to combine it.
	  Don't output xmlns and xml namespaces.

2007-03-15  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryWriter.cs : fixed couple of dictionary string
	  issues (on lookup and index output).
	* XmlBinaryWriterSession.cs : added internal TryLookup(). Changed
	  internal structure to have dictionary string as a key.

2007-03-15  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryWriter.cs : new prefix population is needed
	  in this class too.

2007-03-15  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryWriter.cs : more WriteEndAttribute() is needed.
	  Remove wrong namespaceUri index output. Fixed attribute operation.

2007-03-15  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryWriter.cs : output attribute value.

2007-03-15  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryWriter.cs : for binary output format requirement,
	  every content must be buffered once and wait for next operation so
	  that if the content is one of the content sequence or not. This is
	  almost silly, but that is what Microsoft wanted to do.

2007-03-15  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryWriter.cs : couple of namespaces processing fix.

2007-03-15  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlDictionaryWriter.cs : WriteAttributeString and WriteStartElement
	  should also delegate to dictionary-string based methods.
	* XmlBinaryDictionaryWriter.cs : ongoing reimplementation as it was
	  based on pretty old design as well as pretty old XmlTextWriter.

2007-03-14  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryWriterSession.cs : implemented.
	* XmlBinaryDictionaryWriter.cs : a bunch of updates.

2007-03-14  Atsushi Enomoto  <atsushi@ximian.com>

	* UniqueId.cs : hacky Equals() implementation.
	* XmlDictionaryReaderQuotas.cs : removed Default and fixed Max.
	* XmlSimpleDictionaryWriter.cs : in .NET 3.0 RTM, it is supported.
	* XmlDictionaryWriter.cs : WriteStartElement(XmlDictionaryString,
	  XmlDictionaryString) should call WriteStartElement(string,
	  XmlDictionaryString,XmlDictionaryString) since because only the
	  latter is overridable and possible to provide dictionary string.

2007-03-09  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlDictionaryReader.cs : make it partial. Fill Quotas when requested.
	* XmlDictionaryReaderAutoGen.cs : added autogenerated array reader
	  methods.
	* XmlDictionaryWriter.cs : make it partial.
	* XmlDictionaryWruterAutoGen.cs : added autogenerated array writer
	  methods.

2006-10-05  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryReader.cs, XmlSimpleDictionaryReader.cs :
	  implement IXmlNamespaceResolver.

2006-07-31  Ankit Jain  <jankit@novell.com>

	* UniqueId.cs (.ctor): (string overload) Implement.
	(ToString): Prepend "urn:uuid:" instead of "uuid-".

2006-07-31  Atsushi Enomoto  <atsushi@ximian.com>

	* UniqueId.cs : some implementation.

2006-07-04  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlDictionaryWriter.cs, XmlSimpleDictionaryWriter.cs,
	  XmlDictionaryReaderQuotas.cs : June CTP API update.

2006-07-04  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryReader.cs, IStreamProvider.cs,
	  XmlSimpleDictionaryReader.cs, IXmlMtomReaderInitializer.cs,
	  XmlBinaryWriterSession.cs, IXmlUTF8ReaderInitializer.cs,
	  IXmlMtomWriterInitializer.cs, XmlDictionaryReader.cs :
	  June CTP API updates.

2006-01-17  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlShimWriter.cs : deleted.
	* XmlBinaryDictionaryWriter.cs, XmlSimpleDictionaryWriter.cs :
	  WriteProcessingInstruction() throws InvalidOperationException.

2005-11-28  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlDictionaryReader.cs, XmlBinaryDictionaryWriter.cs,
	  XmlDictionary.cs, XmlDictionaryWriter.cs, XmlC14NWriter.cs :
	  several API fixes to Nov. CTP.

2005-11-03  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlDictionaryReader.cs : CreateMtomReader() stubs.

2005-10-24  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryWriter.cs : use saved xml_lang and xml_space for
	  those corresponding properties (they bork at the declaring element).

2005-10-24  Atsushi Enomoto  <atsushi@ximian.com>

	* UniqueId.cs : it does not compile.

2005-10-23  Duncan Mak  <duncan@novell.com>

	* UniqueId.cs (.ctor): Implement some overloads by chaining it to
	other Unimplemented ones.
	(operator ==, operator !=): Implemented using the Equals method.
	(Equals, TryGetGuid): Well, at least figure the false case....

2005-10-23  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlDictionary.cs : fixed type of Empty.
	* XmlDictionaryReaderQuotas.cs : Default and Max were not readonly.

2005-10-05  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryReader.cs : and it can GetContext().

2005-10-05  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryWriter.cs :
	  Fixed index for room-reserved attributes (0x22-0x3B).
	  Added note on 0x9D.
	* XmlBinaryDictionaryReader.cs :
	  Several fixes to get it work fine.

2005-10-05  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlDictionary.cs : TryLookup() should use TryGetValue().
	  Fixed incorrect upper bound check for TryLookup(int, out dictstr).
	* XmlBinaryDictionaryWriter.cs : Use 0x8B for empty string everywhere
	  we use 0x83.

2005-10-04  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryReader.cs : new file for CreateBinaryReader().
	* XmlDictionaryReader.cs : use above.
	* XmlBinaryDictionaryWriter.cs : several fixes (renamed private
	  fields, added more notes, and much more).

2005-10-04  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryWriter.cs :
	  Added notes on dictionary string support inference. Fixed filename.

2005-10-04  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlBinaryDictionaryWriter.cs : new file for CreateBinaryWriter().
	* XmlDictionaryWriter.cs : use above.

2005-10-03  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlDictionaryWriter.cs : stubby WriteNode() impl.
	* XmlBinaryWriterSession.cs : tiny notes.

2005-10-03  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlSimpleDictionaryWriter.cs : new file for CreateDictionaryWriter().
	  Implemented simple XmlWriter functionality.
	* XmlDictionaryWriter.cs : use above.

2005-10-03  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlDictionaryWriter.cs : implemented some members. Added more stubs.

2005-09-29  Duncan Mak  <duncan@novell.com>

	* XmlDictionaryWriter.cs (CreateBinaryWriter): Added stub.

2005-09-28  Duncan Mak  <duncan@novell.com>

	* XmlDictionaryWriter.cs (CreateDictionaryWriter): Added stub.

2005-09-27  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlDictionaryReader.cs :
	  Some member signature fixes.
	  implemented CreateDictionaryReader().
	  TryGetLocalNameAsDictionaryString() seems always returning false.
	  IsLocalName() is not likely to use TryGet...() above.
	* XmlSimpleDictionaryReader.cs : for CreateDictionaryReader().

2005-09-26  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlDictionaryString.cs, XmlDictionary.cs,
	  XmlDictionaryReaderQuotas.cs, XmlDictionaryReader.cs:
	  added some implementations.

2005-09-22  Atsushi Enomoto  <atsushi@ximian.com>

	* XmlDictionaryString.cs, XmlShimWriter.cs,
	  IXmlBinaryWriterInitializer.cs, IXmlUTF8WriterInitializer.cs,
	  XmlDictionaryWriter.cs, UniqueId.cs, XmlC14NWriter.cs,
	  XmlDictionary.cs, OnXmlDictionaryReaderClose.cs,
	  XmlBinaryReaderSession.cs, IXmlMtomReaderInitializer.cs,
	  IXmlDictionary.cs, IXmlBinaryReaderInitializer.cs,
	  XmlCanonicalWriter.cs, XmlBinaryWriterSession.cs,
	  XmlDictionaryReaderQuotas.cs, IXmlUTF8ReaderInitializer.cs,
	  IXmlMtomWriterInitializer.cs, XmlDictionaryReader.cs :
	  #if NET_2_0. coding style was updated.

2005-09-22  Atsushi Enomoto  <atsushi@ximian.com>

	* IXmlBinaryReaderInitializer.cs
	  IXmlBinaryWriterInitializer.cs
	  IXmlDictionary.cs
	  IXmlMtomReaderInitializer.cs
	  IXmlMtomWriterInitializer.cs
	  IXmlUTF8ReaderInitializer.cs
	  IXmlUTF8WriterInitializer.cs
	  OnXmlDictionaryReaderClose.cs
	  UniqueId.cs
	  XmlBinaryReaderSession.cs
	  XmlBinaryWriterSession.cs
	  XmlC14NWriter.cs
	  XmlCanonicalWriter.cs
	  XmlDictionary.cs
	  XmlDictionaryReader.cs
	  XmlDictionaryReaderQuotas.cs
	  XmlDictionaryString.cs
	  XmlDictionaryWriter.cs
	  XmlShimWriter.cs : new files.

